@Anywhere.js causing "event.layerX and event.layerY are broken and deprecated in WebKit. They will be removed from the engine in the near future." in Chrome


#1

I have narrowed down the cause of this error in Chrome 18 (Dev Channel), as well as some of the older Chrome versions as well, to Anywhere.js:

“event.layerX and event.layerY are broken and deprecated in WebKit. They will be removed from the engine in the near future.”

The results from Google suggest a jQuery error, however I am using the latest jQuery (1.7.1) which fixes this bug. I do not get this error if I don’t load Anywhere.js.


#2

#3

#4